/*****************************************************************************
 * libdvdcss.h: DVD reading library, exported functions.
 *****************************************************************************
 * Copyright (C) 1998-2001 VideoLAN
 * $Id: input_dvd.c,v 1.68 2001/06/07 22:25:42 sam Exp $
 *
 * Authors: Stphane Borel <stef@via.ecp.fr>
 *          Samuel Hocevar <sam@zoy.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

/*****************************************************************************
 * The libdvdcss structure
 *****************************************************************************/
typedef struct dvdcss_s* DVD_Handle;

/*****************************************************************************
 * Flags
 *****************************************************************************/
#define DVD_NOFLAGS         0

#define DVD_INIT_QUIET      1 << 0
#define DVD_INIT_DEBUG      1 << 1

#define DVD_READ_DECRYPT    1 << 0

#define DVD_BLOCK_SIZE      2048

/*****************************************************************************
 * Exported prototypes
 *****************************************************************************/
extern DVD_Handle DVD_Init  ( int i_flags );
extern int        DVD_End   ( DVD_Handle );
extern int        DVD_Open  ( DVD_Handle,
                              char *psz_target );
extern int        DVD_Close ( DVD_Handle );
extern int        DVD_Crack ( DVD_Handle,
                              int i_title,
                              int i_block );
extern int        DVD_Seek  ( DVD_Handle,
                              int i_blocks );
extern int        DVD_Read  ( DVD_Handle,
                              void *p_buffer,
                              int i_blocks,
                              int i_flags );
extern int        DVD_ReadV ( DVD_Handle,
                              void *p_iovec,
                              int i_blocks,
                              int i_flags );
extern char *     DVD_Error ( DVD_Handle );

